#!/bin/sh

# remove things run at startup
rm -i /etc/rc*.d/*eee*.sh
# remove the hal setup for the xandros madwifi module
rm -i /etc/hal/fdi/policy/10-*eee*
# remove previously defined acpi hotkeys
rm -i /etc/acpi/events/eee*
# remove eee scripts called on suspend/resume
rm -i /etc/acpi/suspend.d/*eee*.sh
rm -i /etc/acpi/resume.d/*eee*.sh
# remove eee scripts in sbin and init.d
rm -i /sbin/eee*.sh
rm -i /etc/init.d/eee*.sh
# remove modules
rmmod eee
rmmod asus_acpi
rmmod ath_pci
rmmod ath_hal
rmmod atl2
rmmod uvcvideo
for module in uvcvideo/uvcvideo.ko kernel/drivers/acpi/asus_acpi.ko drivers/eee.ko net/ath_hal.ko net/ath_pci.ko net/ath_rate_amrr.ko net/ath_rate_minstrel.ko net/ath_rate_onoe.ko net/ath_rate_sample.ko net/atl2.ko net/wlan_acl.ko net/wlan_ccmp.ko net/wlan.ko net/wlan_scan_ap.ko net/wlan_scan_sta.ko net/wlan_tkip.ko net/wlan_wep.ko net/wlan_xauth.ko drivers/acpi/asus_acpi.ko
do
rm -i /lib/modules/`uname -r`/$module*
done
echo DO NOT FORGET TO REBOOT AFTER REINSTALLING
